------------------------------------------------------------------------------------
--Name:			[简体征服][活动脚本]剧情测试脚本
--Creator:		林静
--Created:		2019/03/30
------------------------------------------------------------------------------------

local LuaSceneScript = {
    -- 测试用脚本，请根据实际数据修改
    [1] = { file="Script/DemoScript.lua", },
	[2] = { file="Script/WolfWarriors.lua", },
	[3] = { file="Script/PantherWarriors.lua", },	
	[4] = { file="Script/LionWarriors.lua", },
	[5] = { file="Script/TigerWarriors.lua", },
	[6] = { file="Script/KingWarriors.lua", },
	[7] = { file="Script/BaibingSpectrum.lua", },
	[8] = { file="Script/KillwolfKing.lua", },
	[9] = { file="Script/KillBlackLeopardKing.lua", },
	[10] = { file="Script/KillLionKing.lua", },
	[11] = { file="Script/KillTiger.lua", },
	[12] = { file="Script/KillWizard.lua", },
}

-- 启用脚本
function LuaScriptMgr_LoadScript(id)
    local tScript = LuaSceneScript[id]

    if (tScript == nil) then
        return
    end

    CppScriptMgr:LoadLua(tScript.file)
end

local DLG_CAN_SHOW = {
[958] = true,
[966] = true,
}

-- 脚本剧情中是否可显示窗口
function LuaScriptMgr_IsDlgCanShow(id)
    local ret = DLG_CAN_SHOW[id]

    if (ret == nil) then
        return false
    end

    return ret
end

function LuaScriptMgr_Unload()
    DLG_CAN_SHOW = nil
end

function LuaScriptMgr_GetScript(id)
    local tScript = LuaSceneScript[id]

    if (tScript == nil) then
        return ""
    end

    return tScript.file
end
