-- ֱӦ
local MissionIni = {
-- servertype
-- ͨ
    [0] = "ini/Questinfo.ini",
-- 
    [16] = "ini/QuestinfoPassionServer.ini",
}

local function GetMissionIni(index, default)
    local res = MissionIni[index]
    
    if (res ~= nil) then
        return res
    end
    
    return default
end

local function IsNeedCheckLook(look, default)
	if (look == 5 or look == 6 or look == 7 or look == 8) then
		return true
	end

	return false
end

-- ̵Ϣ
local T_RebateInfo = {
    -- ̵Ʒ
    costType=3322775,
    -- ̵npc
    npcID=24702,
    -- ˢҪĳʼֵ
    cost_value=1,
    -- ÿˢµۼֵ
    cost_inc=5,
    -- ˢ
    cost_limit=100,
    -- ˢӳ
    refreshDelay = 2,
}

-- ȡϢ
local function GetRebateInfo(key, default)
	local ret = T_RebateInfo[key]

	if (ret ~= nil) then
		return ret
	end
	
	return default
end

-- ̵ϵȼʶϢ
local RebateProInfo = {
    num = 8,
    [1] = { ani = "Xinshop_green", x = 120, y = 438 },
	[2] = { ani = "Xinshop_Red", x = 121, y = 438 },
	[3] = { ani = "Xinshop_Red", x = 122, y = 438 },
	[4] = { ani = "Xinshop_Red", x = 126, y = 438 },
	[5] = { ani = "Xinshop_Red", x = 135, y = 438 },
	[6] = { ani = "Xinshop_Red", x = 164, y = 438 },
	[7] = { ani = "Xinshop_Red", x = 253, y = 438 },
	[8] = { ani = "Xinshop_yellow", x = 430, y = 438 },
   
    
}

local function GetRebateProInfo(index, key, default)
    if index > RebateProInfo["num"] then
        return default
    end
    
    if RebateProInfo[index][key] == nil then
        return default
    end
    
    return RebateProInfo[index][key]
end

-- ȡˢҪķ
local function GetRebateRefreshCost(times)
	local cost = T_RebateInfo.cost_value + times * T_RebateInfo.cost_inc

	if (cost > T_RebateInfo.cost_limit) then
		cost = T_RebateInfo.cost_limit
	end

	return cost
end

local DLG_STYLE_SPIRIT = 20000

local T_DlgInfo = {
-- װ
[135] = {
    -- ťÿӦתǶ
    RotateAngle=10,
},
-- ¹
[741] = {
    -- ťÿӦתǶ
    RotateAngle=10,
	-- תǶ
    MountRotate=-50,
},
-- ʵа
[808] = {
	-- תǶ
    MountRotate=-50,
},
[131] = {
	["LuaDlg"] = {
		-- 
		[DLG_STYLE_SPIRIT] = {
			AniSection = "Aspirit_AspiritBG",
			-- ͬgui.iniBGShowType
			BGShowType = 0,
			-- Ƿʾgui.inisubbgͼƬ
			ShowSubBg = false,
			BgOffsetX = -14,
			BgOffsetY = -50,
			ShowLev = 0;
		},
		-- ʥڷ
		[1] = {
			AniSection = "ActivityBG_HalloweenBG",
			-- ͬgui.iniBGShowType
			BGShowType = 0,
			-- Ƿʾgui.inisubbgͼƬ
			ShowSubBg = false,
			BgOffsetX = -14,
			BgOffsetY = -50,
		},
	}
},
-- б
[360] = {
	-- б-
	HeadMutualTitle = "Mutual_MischiefPic",
	-- Ӧ[1026], 0 -> ["Mutual0"]
	HeadMutualIndex = 1,
},
-- ͷ
[1026] = {
	Mutual1Num = 2,
	["Mutual1"] = {
		-- 
		[0] = {
			Effect="wsj_nangua",
			--AniSection="Mischief_daodanBtn",
			Action=1,
			Text="  ",
		},
		-- ǹ
		[1] = {
			Effect="wsj_tangguo",
			--AniSection="Mischief_tangguoBtn",
			Action=2,
			Text="  ",
		},
	},
},
}

local function GetDlgInfo(idd, key, default)
    local tInfo = T_DlgInfo[idd]

    if (tInfo ~= nil) then
        local ret = tInfo[key]

        if (ret ~= nil) then
            return ret
        end
    end

    return default
end

local function GetRotateAngle(idd, angle, beginX, curX)
    return math.ceil((angle + ((curX - beginX) / 80 * 180)) % 360)
end

-- ˺ź׺
local AccountSuffix = "@zf99"

local function GetAccountSuffix(default)
    if AccountSuffix == nil then
        return default
    end
    
    return AccountSuffix
end

local function GetDlgInfoThird(idd, param1, param2, param3, default)
	local tmpParma1 = GetDlgInfo(idd, param1, nil)
	if (tmpParma1 == nil) then
		return default
	end

	local tmpParam2 = tmpParma1[param2]
	if (tmpParam2 == nil) then
		return default
	end

	local tmpParma3 = tmpParam2[param3]
	if (tmpParma3 == nil) then
		return default
	end

	return tmpParma3
end

-- ڶ̬
local T_DlgDynamicInfo = {}

local function SetDlgDynamicInfo(idd, title, key, value)
	if (T_DlgDynamicInfo[idd] == nil) then
		T_DlgDynamicInfo[idd] = {}
	end

	if (T_DlgDynamicInfo[idd][title] == nil) then
		T_DlgDynamicInfo[idd][title] = {}
	end

	T_DlgDynamicInfo[idd][title][key] = value
end

local function GetDlgDynamicInfo(idd, title, key, default)
	local tDlg = T_DlgDynamicInfo[idd]

	if (tDlg == nil) then
		return default
	end

	local tTitle = tDlg[title]

	if (tTitle == nil) then
		return default
	end

	local ret = tTitle[key]
	if (ret == nil) then
		return default
	end

	return ret
end

-- cmd̬
local T_DynamicCmdData = {}

local function GetDynamicCmdData(key, default)
	local ret = T_DynamicCmdData[key]

	if (ret == nil) then
		return default
	end

	return ret
end

local function SetDynamicCmdData(key, value)
	if (T_DynamicCmdData == nil) then
		T_DynamicCmdData = {}
	end

	T_DynamicCmdData[key] = value
end

local function ResetDynamicInfo()
	T_DlgDynamicInfo = {}
	T_DynamicCmdData = {}
end

local T_Info = {}

local function GetInfo(title, key, default)
	local tInfo = T_Info[title]
	if (tInfo == nil) then
		return default
	end

	local ret = tInfo[key]
	if (ret == nil) then
		return default
	end

	return ret
end
-- ͷڴ
local function Unload()
	AccountSuffix = nil
	T_DlgInfo = nil
	T_RebateInfo = nil
        MissionIni = nil
	RebateProInfo = nil
	T_DlgDynamicInfo = nil
	T_DynamicCmdData = nil
	T_Info = nil
end

-- ͨrequireLuaűʹ
local Info = {
    GetAccountSuffix = GetAccountSuffix,
    GetDlgInfo = GetDlgInfo,
    GetRotateAngle = GetRotateAngle,
    GetRebateProInfo = GetRebateProInfo,
 	GetRebateInfo = GetRebateInfo,
	GetRebateRefreshCost = GetRebateRefreshCost,
    GetMissionIni = GetMissionIni,
	IsNeedCheckLook = IsNeedCheckLook,
	GetDlgInfoThird = GetDlgInfoThird,
	GetDynamicCmdData = GetDynamicCmdData,
	SetDynamicCmdData = SetDynamicCmdData,
	SetDlgDynamicInfo = SetDlgDynamicInfo,
	GetDlgDynamicInfo = GetDlgDynamicInfo,
	ResetDynamicInfo = ResetDynamicInfo,
	GetInfo = GetInfo,
    Unload = Unload,
}

-- C++ʹõglobal
Info_GetInfo = Info.GetInfo
Info_GetAccountSuffix = Info.GetAccountSuffix
Info_GetDlgInfo = Info.GetDlgInfo
Info_GetRotateAngle = Info.GetRotateAngle
Info_GetRebateProInfo = Info.GetRebateProInfo
Info_GetRebateInfo = Info.GetRebateInfo
Info_GetRebateRefreshCost = Info.GetRebateRefreshCost
Info_GetMissionIni = Info.GetMissionIni
Info_IsNeedCheckLook = Info.IsNeedCheckLook
Info_GetDlgInfoThird = Info.GetDlgInfoThird
Info_SetDlgDynamicInfo = Info.SetDlgDynamicInfo
Info_GetDlgDynamicInfo = Info.GetDlgDynamicInfo
Info_ResetDynamicInfo = Info.ResetDynamicInfo
Info_GetDynamicCmdData = Info.GetDynamicCmdData
Info_SetDynamicCmdData = Info.SetDynamicCmdData
Info_Unload = Info.Unload

-- requireֵ
return Info